/*******************************************************
//
//	Name: CDAudioManager.h
//
//	Author: Dave Ratti
//
//	Date:2-28-02
//
//	Modified: 
//
//	Notes: Direct Audio implementation. See tutorial: http://www.gamedev.net/reference/articles/article1689.asp
//	
//
//
//
*********************************************************/



#ifndef CDAUDIO_MANAGER
#define CDAUDIO_MANAGER

#include "STRINGC.h"
#include "Singleton.h"
#include "CSoundSystem.h"

#include <dsound.h>
#include <dmusici.h>


class CDAudioManager: public CSoundSystem
{

public:
	
			 CDAudioManager();
	virtual ~CDAudioManager();

	virtual bool Init();
	virtual bool Shutdown();	

	//----------------------------------------------------------------//
	//	Loading Drawing Playing Sounds
	//----------------------------------------------------------------//	

	virtual void		PlayCSound(CSound* sound, bool loop);	
	virtual CSound*		LoadCSound(STRINGC fileName);


protected:

	IDirectMusicPerformance8*	m_Performance;
	IDirectMusicLoader8*		m_Loader;

};


#endif